# $Revision: 1.143 $, $Date: 2012/04/17 17:00:34 $
# TODO
# - finish with_apidocs
# - qt and Qt packages make file collisions on case insensitive filesystems,
#   consider adding version suffix to either of the pckages
#
# Conditional build:
%bcond_with	apidocs		# build API documentation
%bcond_without	dotnet		# build without dotnet bindings
%bcond_without	gtk		# build without GTK+
%bcond_without	gtk3		# build without GTK+3
%bcond_without	pygtk		# build without PyGTK
%bcond_without	qt		# build without (any) qt bindings
%bcond_without	qt3		# build without qt3 bindings
%bcond_without	qt4		# build without qt4 bindings

%ifnarch %{ix86} %{x8664} alpha arm hppa ia64 mips ppc s390 s390x sparc sparcv9
%undefine with_dotnet
%endif
%ifarch i386
%undefine with_dotnet
%endif

%if %{without qt}
%undefine	with_qt3
%undefine	with_qt4
%endif

%{?with_dotnet:%include /usr/lib/rpm/macros.mono}
Summary:	Free mDNS/DNS-SD/Zeroconf implementation
Summary(pl.UTF-8):	Wolna implementacja mDNS/DNS-SD/Zeroconf
Name:		avahi
Version:	0.6.31
Release:	3
License:	LGPL v2.1+
Group:		Applications
Source0:	http://avahi.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	2f22745b8f7368ad5a0a3fddac343f2d
Source1:	%{name}-daemon
Source2:	%{name}-dnsconfd
Source3:	%{name}.png
Source4:	%{name}-daemon.upstart
Source5:	%{name}-dnsconfd.upstart
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-glade.patch
Patch2:		%{name}-destdir.patch
Patch3:		%{name}-mono-dir.patch
Patch4:		nss-mdns-package.patch
Patch5:		%{name}-dhclient_hooks.patch
Patch6:		%{name}-autoipd-sbin_ip.patch
URL:		http://avahi.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel >= 0.92
%if %{with apidocs}
BuildRequires:	doxygen
# for the 'dot' tool used by doxygen
BuildRequires:	graphviz
%endif
BuildRequires:	expat-devel
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
BuildRequires:	gobject-introspection-devel >= 0.9.5
%if %{with gtk}
BuildRequires:	glib2-devel >= 1:2.12.2
BuildRequires:	gtk+2-devel >= 2:2.14.0
%endif
%if %{with gtk3}
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gtk+3-devel >= 3.0.0
%endif
BuildRequires:	intltool >= 0.35
BuildRequires:	libcap-devel
BuildRequires:	libdaemon-devel >= 0.14
BuildRequires:	libtool
%if %{with dotnet}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10
BuildRequires:	mono-csharp
BuildRequires:	monodoc >= 2.6
%endif
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-dbus >= 0.71
%{?with_pygtk:BuildRequires:	python-pygtk-devel >= 2:2.9.6}
%if %{with qt3}
BuildRequires:	qt-devel >= 1:3.0
%endif
%if %{with qt4}
BuildRequires:	QtCore-devel >= 4.0.0
BuildRequires:	qt4-build
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.626
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 0.92
Requires:	libdaemon >= 0.14
Requires:	rc-scripts >= 0.4.3
Requires:	systemd-units >= 38
Suggests:	nss_mdns >= 0.10-2
Provides:	group(avahi)
Provides:	user(avahi)
Obsoletes:	avahi-systemd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Avahi is an implementation the DNS Service Discovery and Multicast DNS
specifications for Zeroconf Computing. It uses D-BUS for communication
between user applications and a system daemon.

%description -l pl.UTF-8
Avahi jest implementacją specyfikacji DNS Service Discovery i
Multicast DNS dla Zeroconf Computing. Używa D-BUSa dla komunikacji
pomiędzy programami użytkownika a demonem systemowym.

%package upstart
Summary:	Upstart jobs description for Avahi daemons
Summary(pl.UTF-8):	Opis zadań Upstart dla demonów Avahi
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	upstart >= 0.6
Conflicts:	syslog-ng-upstart < 3.2.4-1

%description upstart
Upstart jobs description for Avahi daemons.

%description upstart -l pl.UTF-8
Opis zadań Upstart dla demonów Avahi.

%package autoipd
Summary:	IPv4LL network address configuration daemon
Summary(pl.UTF-8):	Demon configurujący adresy IPv4LL
Group:		Networking/Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(avahi)
Provides:	user(avahi)

%description autoipd
avahi-autoipd implements IPv4LL, "Dynamic Configuration of IPv4 Link-
Local Addresses" (IETF RFC3927), a protocol for automatic IP address
configuration from the link-local 169.254.0.0/16 range without the
need for a central server. It is primarily intended to be used in
ad-hoc networks which lack a DHCP server.

IPv4LL is part of the Zeroconf stack.

%description autoipd -l pl.UTF-8
avahi-autoipd jest implementacją IPv4LL, protokołu umożliwiającego
automatyczną konfigurację adresu z zakresu 169.254.0.0/16 bez potrzeby
użycia centralnego serwera. Jego głównym zastosowaniem są sieci
ad-hoc, w których brakuje serwera DHCP.

IPv4LL jest częścią stosu Zeroconf.

%package libs
Summary:	Avahi client, common and core libraries
Summary(pl.UTF-8):	Biblioteki Avahi: klienta, wspólna i główna
Group:		Libraries

%description libs
Avahi client, common and core libraries.

%description libs -l pl.UTF-8
Biblioteki Avahi: klienta, wspólna i główna.

%package devel
Summary:	Header files for Avahi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.92
Requires:	expat-devel

%description devel
This is the package containing the header files for Avahi library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Avahi.

%package static
Summary:	Static Avahi library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Avahi library.

%description static -l pl.UTF-8
Statyczna biblioteka Avahi.

%package ui
Summary:	Avahi UI library
Summary(pl.UTF-8):	Biblioteka Avahi UI
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2 >= 2:2.14.0

%description ui
Common GTK+ UI support library for Avahi.

%description ui -l pl.UTF-8
Biblioteka wspólnego interfejsu użytkownika GTK+ dla Avahi.

%package ui-devel
Summary:	Header files for Avahi UI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi UI
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	%{name}-ui-devel-common = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.14.0

%description ui-devel
Header files for Avahi UI library.

%description ui-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Avahi UI.

%package ui-static
Summary:	Static Avahi UI library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi UI
Group:		X11/Development/Libraries
Requires:	%{name}-ui-devel = %{version}-%{release}

%description ui-static
Static Avahi UI library.

%description ui-static -l pl.UTF-8
Statyczna biblioteka Avahi UI.

%package ui-devel-common
Summary:	Header files for Avahi UI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi UI
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description ui-devel-common
Header files for Avahi UI library.

%description ui-devel-common -l pl.UTF-8
Pliki nagłówkowe biblioteki Avahi GTK+ UI.

%package ui-gtk3
Summary:	Avahi UI library - GTK+ 3.x version
Summary(pl.UTF-8):	Biblioteka Avahi UI - wersja dla GTK+ 3.x
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description ui-gtk3
Common GTK+ 3.x UI support library for Avahi.

%description ui-gtk3 -l pl.UTF-8
Biblioteka wspólnego interfejsu użytkownika GTK+ 3.x dla Avahi.

%package ui-gtk3-devel
Summary:	Header files for Avahi UI library - GTK+ 3.x version
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi UI - wersja dla GTK+ 3.x
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ui-devel-common = %{version}-%{release}
Requires:	%{name}-ui-gtk3 = %{version}-%{release}

%description ui-gtk3-devel
Header files for Avahi GTK+ 3.x UI library.

%description ui-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Avahi GTK+ 3.x UI.

%package ui-gtk3-static
Summary:	Static Avahi UI library - GTK+ 3.x version
Summary(pl.UTF-8):	Statyczna biblioteka Avahi UI - wersja GTK+ 3.x
Group:		X11/Development/Libraries
Requires:	%{name}-ui-gtk3-devel = %{version}-%{release}

%description ui-gtk3-static
Static Avahi GTK+ 3.x UI library.

%description ui-gtk3-static -l pl.UTF-8
Statyczna biblioteka Avahi GTK+ 3.x UI.

%package compat-libdns_sd
Summary:	Avahi Bonjour compat library
Summary(pl.UTF-8):	Biblioteka Avahi zgodna z Bonjour
Group:		Libraries
Provides:	mdns-bonjour
Obsoletes:	mDNSResponder-libs

%description compat-libdns_sd
Avahi Bonjour compat library.

%description compat-libdns_sd -l pl.UTF-8
Biblioteka Avahi zgodna z Bonjour.

%package compat-libdns_sd-devel
Summary:	Header files for Avahi Bonjour compat library
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Bonjour
Group:		Development/Libraries
Requires:	%{name}-compat-libdns_sd = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mdns-bonjour-devel
Obsoletes:	mDNSResponder-devel

%description compat-libdns_sd-devel
Header files for Avahi Bonjour compat library.

%description compat-libdns_sd-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Bonjour.

%package compat-libdns_sd-static
Summary:	Static Avahi Bonjour compat library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi zgodna z Bonjour
Group:		Development/Libraries
Requires:	%{name}-compat-libdns_sd-devel = %{version}-%{release}
Provides:	mdns-bonjour-static

%description compat-libdns_sd-static
Static Avahi Bonjour compat library.

%description compat-libdns_sd-static -l pl.UTF-8
Statyczna biblioteka Avahi zgodna z Bonjour.

%package compat-howl
Summary:	Avahi Howl compat library
Summary(pl.UTF-8):	Biblioteka Avahi zgodna z Howl
Group:		Libraries
Provides:	mdns-howl-libs
Obsoletes:	howl-libs

%description compat-howl
Avahi Howl compat library.

%description compat-howl -l pl.UTF-8
Biblioteka Avahi zgodna z Howl.

%package compat-howl-devel
Summary:	Header files for Avahi Howl compat library
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Howl
Group:		Development/Libraries
Requires:	%{name}-compat-howl = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mdns-howl-devel
Obsoletes:	howl-devel

%description compat-howl-devel
Header files for Avahi Howl compat library.

%description compat-howl-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Howl.

%package compat-howl-static
Summary:	Static Avahi Howl compat library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi zgodna z Howl
Group:		Development/Libraries
Requires:	%{name}-compat-howl-devel = %{version}-%{release}
Provides:	mdns-howl-static
Obsoletes:	howl-static

%description compat-howl-static
Static Avahi Howl compat library.

%description compat-howl-static -l pl.UTF-8
Statyczna biblioteka Avahi zgodna z Howl.

%package glib
Summary:	Avahi GLib library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla bibioteki GLib
Group:		Libraries

%description glib
Avahi GLib library bindings.

%description glib -l pl.UTF-8
Wiązania Avahi dla bibioteki GLib.

%package glib-devel
Summary:	Header files for Avahi GLib library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki GLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.2

%description glib-devel
This is the package containing the header files for Avahi-glib
library.

%description glib-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Avahi-glib.

%package glib-static
Summary:	Static Avahi GLib library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi GLib
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static Avahi GLib library.

%description glib-static -l pl.UTF-8
Statyczna biblioteka Avahi GLib.

%package gobject
Summary:	Avahi GObject interface
Summary(pl.UTF-8):	Interfejs GObject do Avahi
Group:		Libraries

%description gobject
Avahi GObject interface.

%description gobject -l pl.UTF-8
Interfejs GObject do Avahi.

%package gobject-devel
Summary:	Header files for Avahi GObject interface
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu GObject do Avahi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gobject = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.2

%description gobject-devel
This is the package containing the header files for Avahi GObject
interface.

%description gobject-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe interfejsu GObject do Avahi.

%package gobject-static
Summary:	Static Avahi GObject library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi GObject
Group:		Development/Libraries
Requires:	%{name}-gobject-devel = %{version}-%{release}

%description gobject-static
Static Avahi GObject library.

%description gobject-static -l pl.UTF-8
Statyczna biblioteka Avahi GObject.

%package qt
Summary:	Avahi Qt 3 library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla biblioteki Qt 3
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	avahi-qt3

%description qt
Avahi Qt 3 library bindings.

%description qt -l pl.UTF-8
Wiązania Avahi dla biblioteki Qt 3.

%package qt-devel
Summary:	Header files for Avahi Qt 3 library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt = %{version}-%{release}
Requires:	qt-devel >= 1:3.0
Obsoletes:	avahi-qt3-devel

%description qt-devel
Header files for Avahi Qt 3 library bindings.

%description qt-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 3.

%package qt-static
Summary:	Static Avahi Qt 3 library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi Qt 3
Group:		Development/Libraries
Requires:	%{name}-qt-devel = %{version}-%{release}
Obsoletes:	avahi-qt3-static

%description qt-static
Static Avahi Qt 3 library.

%description qt-static -l pl.UTF-8
Statyczna biblioteka Avahi Qt 3.

%package Qt
Summary:	Avahi Qt 4 library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla biblioteki Qt 4
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description Qt
Avahi Qt 4 library bindings.

%description Qt -l pl.UTF-8
Wiązania Avahi dla biblioteki Qt 4.

%package Qt-devel
Summary:	Header files for Avahi Qt 4 library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 4
Group:		Development/Libraries
Requires:	%{name}-Qt = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description Qt-devel
Header files for Avahi Qt 4 library bindings.

%description Qt-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 4.

%package Qt-static
Summary:	Static Avahi Qt 4 library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi Qt 4
Group:		Development/Libraries
Requires:	%{name}-Qt-devel = %{version}-%{release}

%description Qt-static
Static Avahi Qt 4 library.

%description Qt-static -l pl.UTF-8
Statyczna biblioteka Avahi Qt 4.

%package -n python-avahi
Summary:	Avahi Python bindings
Summary(pl.UTF-8):	Wiązania Avahi dla Pythona
Group:		Development/Languages/Python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python-dbus >= 0.71

%description -n python-avahi
Avahi Python bindings.

%description -n python-avahi -l pl.UTF-8
Wiązania Avahi dla Pythona.

%package -n dotnet-avahi
Summary:	Avahi MONO bindings
Summary(pl.UTF-8):	Wiązania Avahi dla MONO
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description -n dotnet-avahi
Avahi MONO bindings.

%description -n dotnet-avahi -l pl.UTF-8
Wiązania Avahi dla MONO.

%package -n dotnet-avahi-devel
Summary:	Development files for MONO Avahi bindings
Summary(pl.UTF-8):	Pliki rozwojowe wiązań Avahi dla MONO
Group:		Development/Libraries
Requires:	dotnet-avahi = %{version}-%{release}
Requires:	monodoc >= 2.6

%description -n dotnet-avahi-devel
Development files for MONO Avahi bindings.

%description -n dotnet-avahi-devel -l pl.UTF-8
Pliki rozwojowe wiązań Avahi dla MONO.

%package -n dotnet-avahi-ui
Summary:	Avahi UI MONO bindings
Summary(pl.UTF-8):	Wiązania Avahi UI dla MONO
Group:		X11/Libraries
Requires:	%{name}-ui = %{version}-%{release}
Requires:	dotnet-avahi = %{version}-%{release}

%description -n dotnet-avahi-ui
Avahi UI MONO bindings.

%description -n dotnet-avahi-ui -l pl.UTF-8
Wiązania Avahi UI dla MONO.

%package -n dotnet-avahi-ui-devel
Summary:	Development files for MONO Avahi UI bindings
Summary(pl.UTF-8):	Pliki rozwojowe wiązań Avahi UI dla MONO
Group:		X11/Development/Libraries
Requires:	dotnet-avahi-ui = %{version}-%{release}
Requires:	monodoc >= 2.6

%description -n dotnet-avahi-ui-devel
Development files for MONO Avahi UI bindings.

%description -n dotnet-avahi-ui-devel -l pl.UTF-8
Pliki rozwojowe wiązań Avahi UI dla MONO.

%package bookmarks
Summary:	Miniature web server
Summary(pl.UTF-8):	Miniaturowy serwer WWW
Group:		Applications

%description bookmarks
A Python based miniature web server that browses for mDNS/DNS-SD
services of type '_http._tcp' (i.e. web sites) and makes them
available as HTML links on http://localhost:8080/.

%description bookmarks -l pl.UTF-8
Napisany w Pythonie miniaturowy serwer WWW, pozwalający na
przeglądanie usług typu '_http._tcp' (np. stron WWW) i udostępniający
je jako odnośniki HTML na http://localhost:8080/.

%package discover
Summary:	Avahi Zeroconf browser
Summary(pl.UTF-8):	Przeglądarka Zeroconf Avahi
Group:		Applications
Requires:	python-avahi = %{version}-%{release}
Requires:	python-pygtk-glade >= 2:2.9.6

%description discover
A tool for enumerating all available services on the local LAN
(python-pygtk implementation).

%description discover -l pl.UTF-8
Narzędzie wymieniające wszystkie dostępne usługi w sieci lokalnej LAN
(implementacja w python-pygtk).

%package discover-standalone
Summary:	Avahi Zeroconf browser
Summary(pl.UTF-8):	Przeglądarka Zeroconf Avahi
Group:		Applications
Requires:	%{name}-glib = %{version}-%{release}

%description discover-standalone
GTK+ tool for enumerating all available services on the local LAN.

%description discover-standalone -l pl.UTF-8
Narzędzie GTK+ wymieniające wszystkie dostępne usługi w sieci lokalnej
LAN.

%package utils
Summary:	Avahi CLI utilities
Summary(pl.UTF-8):	Narzędzia CLI Avahi
Group:		Applications

%description utils
Command line utilities using avahi-client.

%description utils -l pl.UTF-8
Narzędzia linii poleceń korzystające z avahi-client.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I common
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-compat-libdns_sd \
	--enable-compat-howl \
	--with-distro=none \
	%{!?with_apidocs:--disable-doxygen-doc} \
	%{!?with_gtk:--disable-gtk} \
	%{!?with_gtk3:--disable-gtk3} \
	%{!?with_pygtk:--disable-pygtk} \
	%{!?with_qt3:--disable-qt3} \
	%{!?with_qt4:--disable-qt4} \
	%{!?with_dotnet:--disable-mono} \
	%{!?with_dotnet:--disable-monodoc} \
	--with-systemdsystemunitdir=%{systemdunitdir} \
	--with-avahi-priv-access-group=adm \
	--with-autoipd-user=avahi \
	--with-autoipd-group=avahi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},/etc/rc.d/init.d,/etc/init}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

install -p %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/init/avahi-daemon.conf
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/init/avahi-dnsconfd.conf

ln -sf %{_includedir}/avahi-compat-libdns_sd/dns_sd.h \
	$RPM_BUILD_ROOT%{_includedir}/dns_sd.h

ln -sf %{_pkgconfigdir}/avahi-compat-howl.pc \
	$RPM_BUILD_ROOT%{_pkgconfigdir}/howl.pc

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/avahi-{browse-domains,publish-address,publish-service,resolve-address,resolve-host-name}.1
%{?with_gtk:%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/bvnc.1}
echo '.so avahi-browse.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-browse-domains.1
echo '.so avahi-publish.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-publish-address.1
echo '.so avahi-publish.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-publish-service.1
echo '.so avahi-resolve.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-resolve-address.1
echo '.so avahi-resolve.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-resolve-host-name.1
echo '.so bssh.1' > $RPM_BUILD_ROOT%{_mandir}/man1/bvnc.1
echo '.so bssh.1' > $RPM_BUILD_ROOT%{_mandir}/man1/bshell.1

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 165 -r -f avahi
%useradd -u 165 -r -d /usr/share/empty -s /bin/false -c "Avahi daemon" -g avahi avahi

%pre autoipd
%groupadd -g 165 -r -f avahi
%useradd -u 165 -r -d /usr/share/empty -s /bin/false -c "Avahi daemon" -g avahi avahi

%post
/sbin/chkconfig --add %{name}-daemon
%service %{name}-daemon restart
/sbin/chkconfig --add %{name}-dnsconfd
%service %{name}-dnsconfd restart
%systemd_post avahi-daemon.service avahi-dnsconfd.service avahi-daemon.socket

%preun
if [ "$1" = "0" ]; then
	%service -q %{name}-dnsconfd stop
	/sbin/chkconfig --del %{name}-dnsconfd
	%service -q %{name}-daemon stop
	/sbin/chkconfig --del %{name}-daemon
fi
%systemd_preun avahi-daemon.service avahi-dnsconfd.service avahi-daemon.socket

%postun
if [ "$1" = "0" ]; then
	%userremove avahi
	%groupremove avahi
fi
%systemd_reload

%triggerpostun -- avahi < 0.6.30-7
%systemd_trigger avahi-daemon.service avahi-dnsconfd.service avahi-daemon.socket

%postun autoipd
if [ "$1" = "0" ]; then
	%userremove avahi
	%groupremove avahi
fi

%post upstart
%upstart_post avahi-daemon
%upstart_post avahi-dnsconfd

%postun upstart
%upstart_postun avahi-daemon
%upstart_postun avahi-dnsconfd

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	ui -p /sbin/ldconfig
%postun	ui -p /sbin/ldconfig

%post	ui-gtk3 -p /sbin/ldconfig
%postun	ui-gtk3 -p /sbin/ldconfig

%post	compat-libdns_sd -p /sbin/ldconfig
%postun	compat-libdns_sd -p /sbin/ldconfig

%post	compat-howl -p /sbin/ldconfig
%postun	compat-howl -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	gobject -p /sbin/ldconfig
%postun	gobject -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%post	Qt -p /sbin/ldconfig
%postun	Qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/COMPAT-LAYERS docs/NEWS docs/README docs/TODO

%dir %{_sysconfdir}/avahi
%dir %{_sysconfdir}/avahi/services
%attr(755,root,root) %{_sysconfdir}/avahi/avahi-dnsconfd.action
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/avahi-daemon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/hosts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/services/ssh.service
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/services/sftp-ssh.service
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/avahi-dbus.conf

%{systemdunitdir}/avahi-daemon.service
%{systemdunitdir}/avahi-daemon.socket
%{systemdunitdir}/avahi-dnsconfd.service
%{_datadir}/dbus-1/system-services/org.freedesktop.Avahi.service

%attr(755,root,root) %{_bindir}/avahi-set-host-name

%attr(755,root,root) %{_sbindir}/avahi-daemon
%attr(755,root,root) %{_sbindir}/avahi-dnsconfd
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/service-types.db
%{_datadir}/%{name}/avahi-service.dtd
%{_datadir}/%{name}/service-types
%{_datadir}/dbus-1/interfaces/org.freedesktop.Avahi.*.xml

%{_mandir}/man1/avahi-set-host-name.1*
%{_mandir}/man5/avahi-daemon.conf.5*
%{_mandir}/man5/avahi.hosts.5*
%{_mandir}/man5/avahi.service.5*
%{_mandir}/man8/avahi-daemon.8*
%{_mandir}/man8/avahi-dnsconfd.8*
%{_mandir}/man8/avahi-dnsconfd.action.8*

%attr(754,root,root) /etc/rc.d/init.d/%{name}-daemon
%attr(754,root,root) /etc/rc.d/init.d/%{name}-dnsconfd

%if "%{pld_release}" != "ti"
%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/*.conf
%endif

%files autoipd
%defattr(644,root,root,755)
%dir %{_sysconfdir}/avahi
%attr(755,root,root) %{_sysconfdir}/%{name}/avahi-autoipd.action
%config(noreplace) %verify(not md5 mtime size) /etc/dhclient-enter-hooks.d/avahi-autoipd
%config(noreplace) %verify(not md5 mtime size) /etc/dhclient-exit-hooks.d/avahi-autoipd
%attr(755,root,root) %{_sbindir}/avahi-autoipd
%{_mandir}/man8/avahi-autoipd.8*
%{_mandir}/man8/avahi-autoipd.action.8*

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-client.so.3
%attr(755,root,root) %{_libdir}/libavahi-common.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-common.so.3
%attr(755,root,root) %{_libdir}/libavahi-core.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-core.so.7
# common for -discover*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/interfaces

%files devel
%defattr(644,root,root,755)
%doc docs/API-CHANGES-0.6 docs/DBUS-API docs/HACKING docs/MALLOC
%attr(755,root,root) %{_libdir}/libavahi-client.so
%attr(755,root,root) %{_libdir}/libavahi-common.so
%attr(755,root,root) %{_libdir}/libavahi-core.so
%{_includedir}/avahi-client
%{_includedir}/avahi-common
%{_includedir}/avahi-core
%{_pkgconfigdir}/avahi-client.pc
%{_pkgconfigdir}/avahi-core.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libavahi-client.a
%{_libdir}/libavahi-common.a
%{_libdir}/libavahi-core.a

%if %{with gtk}
%files ui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-ui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-ui.so.0
%if %{without gtk3}
%attr(755,root,root) %{_bindir}/bshell
%attr(755,root,root) %{_bindir}/bssh
%attr(755,root,root) %{_bindir}/bvnc
%{_mandir}/man1/bshell.1*
%{_mandir}/man1/bssh.1*
%{_mandir}/man1/bvnc.1*
%{_desktopdir}/bssh.desktop
%{_desktopdir}/bvnc.desktop
%endif

%files ui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-ui.so
%{_pkgconfigdir}/avahi-ui.pc

%files ui-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-ui.a
%endif

%if %{with gtk} || %{with gtk3}
%files ui-devel-common
%defattr(644,root,root,755)
%{_includedir}/avahi-ui
%endif

%if %{with gtk3}
%files ui-gtk3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bshell
%attr(755,root,root) %{_bindir}/bssh
%attr(755,root,root) %{_bindir}/bvnc
%attr(755,root,root) %{_libdir}/libavahi-ui-gtk3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-ui-gtk3.so.0
%{_mandir}/man1/bshell.1*
%{_mandir}/man1/bssh.1*
%{_mandir}/man1/bvnc.1*
%{_desktopdir}/bssh.desktop
%{_desktopdir}/bvnc.desktop

%files ui-gtk3-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-ui-gtk3.so
%{_pkgconfigdir}/avahi-ui-gtk3.pc

%files ui-gtk3-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-ui-gtk3.a
%endif

%files compat-libdns_sd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdns_sd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdns_sd.so.1

%files compat-libdns_sd-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdns_sd.so
%{_includedir}/avahi-compat-libdns_sd
%{_includedir}/dns_sd.h
%{_pkgconfigdir}/avahi-compat-libdns_sd.pc

%files compat-libdns_sd-static
%defattr(644,root,root,755)
%{_libdir}/libdns_sd.a

%files compat-howl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhowl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhowl.so.0

%files compat-howl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhowl.so
%{_includedir}/avahi-compat-howl
%{_pkgconfigdir}/avahi-compat-howl.pc
%{_pkgconfigdir}/howl.pc

%files compat-howl-static
%defattr(644,root,root,755)
%{_libdir}/libhowl.a

%files -n python-avahi
%defattr(644,root,root,755)
%{py_sitedir}/avahi

%if %{with dotnet}
%files -n dotnet-avahi
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/avahi-sharp

%files -n dotnet-avahi-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/avahi-sharp
%{_prefix}/lib/monodoc/sources/avahi-sharp-docs.*
%{_pkgconfigdir}/avahi-sharp.pc

%files -n dotnet-avahi-ui
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/avahi-ui-sharp

%files -n dotnet-avahi-ui-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/avahi-ui-sharp
%{_prefix}/lib/monodoc/sources/avahi-ui-sharp-docs.*
%{_pkgconfigdir}/avahi-ui-sharp.pc
%endif

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-glib.so.1

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so
%{_includedir}/avahi-glib
%{_pkgconfigdir}/avahi-glib.pc

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-glib.a

%files gobject
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-gobject.so.0
%{_libdir}/girepository-1.0/Avahi-0.6.typelib
%{_libdir}/girepository-1.0/AvahiCore-0.6.typelib

%files gobject-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-gobject.so
%{_includedir}/avahi-gobject
%{_pkgconfigdir}/avahi-gobject.pc
%{_datadir}/gir-1.0/Avahi-0.6.gir
%{_datadir}/gir-1.0/AvahiCore-0.6.gir

%files gobject-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-gobject.a

%if %{with qt3}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-qt3.so.1

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so
%{_includedir}/avahi-qt3
%{_pkgconfigdir}/avahi-qt3.pc

%files qt-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-qt3.a
%endif

%if %{with qt4}
%files Qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavahi-qt4.so.1

%files Qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so
%{_includedir}/avahi-qt4
%{_pkgconfigdir}/avahi-qt4.pc

%files Qt-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-qt4.a
%endif

%files bookmarks
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-bookmarks
%{_mandir}/man1/avahi-bookmarks.1*

%if %{with pygtk}
%files discover
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-discover
%{py_sitedir}/avahi_discover
%{_datadir}/%{name}/interfaces/avahi-discover.ui
%{_desktopdir}/avahi-discover.desktop
%{_pixmapsdir}/avahi.png
%{_mandir}/man1/avahi-discover.1*
%endif

%if %{with gtk}
%files discover-standalone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-discover-standalone
%{_datadir}/%{name}/interfaces/avahi-discover-standalone.glade
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-browse
%attr(755,root,root) %{_bindir}/avahi-browse-domains
%attr(755,root,root) %{_bindir}/avahi-publish
%attr(755,root,root) %{_bindir}/avahi-publish-address
%attr(755,root,root) %{_bindir}/avahi-publish-service
%attr(755,root,root) %{_bindir}/avahi-resolve
%attr(755,root,root) %{_bindir}/avahi-resolve-address
%attr(755,root,root) %{_bindir}/avahi-resolve-host-name
%{_mandir}/man1/avahi-browse.1*
%{_mandir}/man1/avahi-browse-domains.1*
%{_mandir}/man1/avahi-publish.1*
%{_mandir}/man1/avahi-publish-address.1*
%{_mandir}/man1/avahi-publish-service.1*
%{_mandir}/man1/avahi-resolve.1*
%{_mandir}/man1/avahi-resolve-address.1*
%{_mandir}/man1/avahi-resolve-host-name.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avahi.spec,v $
Revision 1.143  2012/04/17 17:00:34  baggins
- rel 3
- better systemd deps

Revision 1.142  2012/02/16 21:21:54  wiget
- O: avahi-systemd
- rel. 2

Revision 1.141  2012/02/16 18:37:32  qboosh
- updated to 0.6.31

Revision 1.140  2012/02/05 16:07:02  baggins
- rel 7
- merge systemd stuff into main package

Revision 1.139  2012/01/22 21:23:22  glen
- upstart: fix dnsconfd dependency on avahi-daemon

Revision 1.138  2011/12/14 22:33:34  glen
- shell scripts should be executable generally
- avahi-dnsconfd.action does not have much to configure so config flag reverted

Revision 1.137  2011/12/04 17:55:45  wiget
- use systemd macros
- rel. 4

Revision 1.136  2011/12/01 01:08:10  cactus
- mv Avahi.service to systemd pkg

Revision 1.135  2011/12/01 00:21:56  cactus
- rel 3; systemd subpackage and dbus service file added

Revision 1.134  2011/08/12 16:31:30  glen
- name collision on case insensitive fs

Revision 1.133  2011/06/15 12:08:16  jajcus
- use SERVICE_syslog=y instead of SERVICE=syslog in upstart environment
- Release: 2

Revision 1.132  2011/04/06 09:02:42  lisu
- up to 0.6.30
- CVE references for 0.6.29

Revision 1.131  2011/04/05 13:39:23  jajcus
- gtk bcond fix

Revision 1.130  2011/03/10 08:03:06  lisu
- up to 0.6.29
[CVE-2011-1002]
[CVE-2010-2244]

Revision 1.129  2011/02/12 14:39:59  wiget
- typo

Revision 1.128  2011/02/12 14:33:25  wiget
- enable gtk3
- rel. 6

Revision 1.127  2011/02/05 15:03:35  wiget
- added gtk+3 subpackages
- added "man page" for bshell
- removed libtool files
- rel. 5

Revision 1.126  2010/11/24 10:53:14  hawk
- release 4

Revision 1.125  2010/10/23 15:17:11  megabajt
- release 3

Revision 1.124  2010/10/13 22:50:09  pawelz
- do not provide /etc/dhclient-{enter,exit}-hooks.d (reverts r 1.108)
  these dirs are provided by dhcp-client-dirs since now.
- rel 2

Revision 1.123  2010/10/09 05:46:36  qboosh
- updated some deps

Revision 1.122  2010/10/08 14:46:36  lisu
- up to 0.6.28
- drop obsoletes gir.patch and client.patch

Revision 1.121  2010/10/07 16:10:07  japhy
- rel 3: add debian patch fixing http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590760 and allowing forked-daapd to run

Revision 1.120  2010/08/24 16:31:23  hawk
- Titanium will not support upstart

Revision 1.119  2010/08/15 20:15:20  qboosh
- package dbus and gir files

Revision 1.118  2010/07/14 07:58:21  lisu
- 0.6.27
- rm -gtk_detect.patch which is applied upstream

Revision 1.117  2010/07/09 21:26:39  wiget
- fix building Avahi-*.gir
- rel. 2

Revision 1.116  2010/07/09 12:55:34  lisu
- fix gtk+2/gtk+3 detection (patch)
- missing introspection file
- CVE reference
- rel 1

Revision 1.115  2010/07/07 10:21:38  lisu
- start update to 0.6.26
- patches updated
- add gtk3 bcond
- more TODO
[CVE-2010-2244]

Revision 1.114  2010/06/11 11:43:28  jajcus
- without gtk and without pygtk bconds for GUI-free builds
- BR: graphviz back, now in the 'apidocs' bcond (it was require for API
  documentation build, but that documentation were never packaged)

Revision 1.113  2010/06/11 11:09:49  jajcus
- BR: graphviz (not referenced anywhere in the sources and Avahi compiles without it)

Revision 1.112  2010/06/11 08:39:13  jajcus
- upstart jobs
- use %py_* macros instead of random removes, so we don't get a *.py file with
  no *.py[co] packaged again.
- Release: 7

Revision 1.111  2010/05/12 14:19:09  baggins
- rel 6
- more desktop categories

Revision 1.110  2010/05/02 17:16:50  jajcus
- S: nss_mdns >= 0.10-2

Revision 1.109  2010/05/02 15:44:28  glen
- user/group deps in autoipd package as well; adapter

Revision 1.108  2010/05/02 13:29:08  jajcus
- provide /etc/dhclient-{enter,exit}-hooks.d directory not to pull dhcp-client

Revision 1.107  2010/05/02 13:25:38  jajcus
- provide dhclient hooks in the autoipd package

Revision 1.106  2010/05/02 11:41:47  jajcus
- provide the 'avahi' user in the autoipd package too

Revision 1.105  2010/05/01 17:25:04  jajcus
- mention 'Zeroconf' in Summary
- separated avahi-autoipd. It doesn't depend on rest of avahi, other avahi
  packages do not depend on autoipd (rc-scripts should use it)
- Release: 5

Revision 1.104  2010/05/01 16:06:51  jajcus
- use users/groups available in PLD (do we need a separate avahi-autoipd user? I don't think so)

Revision 1.103  2010/03/12 11:09:31  megabajt
- increased required version of monodoc

Revision 1.102  2010/03/12 10:51:40  megabajt
- use %{_prefix}/lib for monodoc
- release 4

Revision 1.101  2010/02/27 23:40:13  glen
- use nss_mdns when referring to nss-mdns as that is our package name; rel 3

Revision 1.100  2009/11/28 15:05:05  sparky
- BR: gettext-devel, rpm-pythonprov

Revision 1.99  2009/06/17 14:10:19  hawk
- release 2

Revision 1.98  2009/04/15 08:05:09  lisu
- CVE reference

Revision 1.97  2009/04/15 08:01:53  lisu
- update to 0.6.25
[fixes CVE-2009-0758]

Revision 1.96  2009/03/09 18:17:52  arekm
- release 2

Revision 1.95  2008/12/26 10:34:46  qboosh
- CVE reference

Revision 1.94  2008/12/17 08:51:53  glen
- mention soname change

Revision 1.93  2008/12/17 08:01:53  lisu
- 0.6.24 (new soname for avahi-core)
[fixes CVE-2008-5081]

Revision 1.92  2008/11/09 15:33:02  megabajt
- release 5

Revision 1.91  2008/11/09 13:27:58  megabajt
- release 4

Revision 1.90  2008/10/14 01:22:47  sls
- __intltoolize
- BR: intltool >= 0.35

Revision 1.89  2008/10/04 20:03:44  megabajt
- release 3

Revision 1.88  2008/08/21 17:33:22  qboosh
- reverted, en_NZ is supported locale

Revision 1.87  2008/08/21 11:47:10  hawk
- dropped /usr/share/locale/en_NZ, release 2

Revision 1.86  2008/08/19 20:42:04  qboosh
- updated to 0.6.23

Revision 1.85  2008/05/16 12:15:42  tommat
- s/mono/dotnet

Revision 1.84  2008-05-16 12:14:40  tommat
- typo

Revision 1.83  2008-05-16 12:13:06  tommat
- enable mono where avaliable

Revision 1.82  2008-01-29 20:04:33  hawk
- release 2

Revision 1.81  2008-01-12 15:23:53  qboosh
- updated to 0.6.22
- updated desktop patch, removed obsolete dbus patch
- added mono-dir patch to fix avahi-sharp.pc
- added gobject* packages
- moved man pages to proper packages, added missing symlinks
- resolved -discover* dirs issue, fixed -discover-standalone deps

Revision 1.80  2007-11-07 06:28:23  tommat
- this is not working that way

Revision 1.79  2007/11/07 06:00:15  tommat
- typo

Revision 1.78  2007/11/07 05:58:47  tommat
- do not include macros.mono when building without dotnet

Revision 1.77  2007/08/27 20:48:49  qboosh
- updated to 0.6.21 (important bugfixes)
- added dbus patch to build with 1.0.x instead of 1.1.x

Revision 1.76  2007/08/23 21:14:45  glen
- remove bogus selinux deps (see -devel-en), rel 7

Revision 1.75  2007/08/23 21:13:55  glen
- rel 6

Revision 1.74  2007/08/22 18:16:08  aredridel
- add selinux BR and R

Revision 1.73  2007/07/06 17:54:44  qboosh
- -devel doesn't require libdaemon-devel

Revision 1.72  2007/07/05 11:14:28  qrczak
- BR: libdaemon >= 0.11

Revision 1.71  2007/07/04 22:20:22  qboosh
- updated to 0.6.20 (fixes CVE-2007-3372)
- removed obsolete dotnet patch

Revision 1.70  2007/06/20 15:56:12  deejay1
- replace manpage symlink with proper one
- rel. 4

Revision 1.69  2007/06/19 12:55:07  patrys
- proper subpackage split
- rel. 3

Revision 1.68  2007/06/18 15:49:20  megabajt
- release 2

Revision 1.67  2007/06/17 22:46:08  qboosh
- updated to 0.6.19 (minor DoS fix)
- updated desktop patch, added dotnet patch
- new subpackages: -ui-*, dotnet-avahi-ui-*

Revision 1.66  2007/06/10 00:23:37  patrys
- separate python package for bindings
- rel. up

Revision 1.65  2007/04/27 08:10:57  qboosh
- CVE reference for 0.6.15

Revision 1.64  2007/04/10 23:18:07  shadzik
- qt-devel epoch 1

Revision 1.63  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.61  2007/02/09 15:53:46  deejay1
- up to 0.6.17

Revision 1.60  2007/01/16 13:58:49  megabajt
- fixed manpages symlinks

Revision 1.59  2007/01/15 16:22:42  deejay1
- up to 0.6.16 (fixes CVE-2006-6870)
- dbus patch applied upstream

Revision 1.58  2007/01/06 22:20:48  glen
- qt 3 typos

Revision 1.57  2006/12/17 17:00:00  deejay1
- BR: libcap-devel
- rel. 3

Revision 1.56  2006/12/08 11:03:17  czarny
- rel up to 2 for rebuild with updated init script

Revision 1.55  2006/11/16 16:40:17  deejay1
- up to 0.6.15
- fixes security bug (http://avahi.org/ticket/69) [CVE-2006-5461]

Revision 1.54  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.53  2006/10/07 15:13:47  qboosh
- wants python >= 2.4

Revision 1.52  2006/09/28 08:00:35  wiget
- updated to 0.6.14

Revision 1.51  2006/08/26 15:29:47  grzegol
- 0.6.13

Revision 1.50  2006/08/08 18:13:34  freetz
- 0.6.12

Revision 1.49  2006/06/26 20:55:24  freetz
- 0.6.11

Revision 1.48  2006/06/24 19:26:35  freetz
- rel.3, fixed dnsconfd init scipt, bleeding edge deps

Revision 1.47  2006/06/09 15:15:52  wrobell
- added missing files
- rel. 2

Revision 1.46  2006/05/15 09:01:45  qboosh
- separated qt3/qt4 bconds (from AC-branch), qt bcond disables both

Revision 1.45  2006/05/06 04:32:40  aredridel
- up to 0.6.10

Revision 1.44  2006/04/16 17:55:05  qboosh
- tabs, strict internal deps

Revision 1.43  2006/04/16 17:49:22  aredridel
- add missing runtime deps

Revision 1.42  2006/03/26 18:08:53  arekm
- rel 5; deps fixes

Revision 1.41  2006/03/26 10:53:38  qboosh
- -compat-howl-devel R: -devel

Revision 1.40  2006/03/26 10:50:30  qboosh
- tab

Revision 1.39  2006/03/26 10:49:21  arekm
devel R: dbus-devel

Revision 1.38  2006/03/26 10:28:58  arekm
compat-libdns_sd-devel R: avahi-devel for libavahi-client.la

Revision 1.37  2006/03/20 19:27:18  freetz
- fixed typo, rel.4

Revision 1.36  2006/03/19 22:29:45  pluto
- include only avahi-sharp.pc i dotnet's devel.

Revision 1.35  2006/03/19 22:27:42  freetz
- removed TODO (anyway, was a funny thing ;)

Revision 1.34  2006/03/19 22:24:31  freetz
- TODO added

Revision 1.33  2006/03/19 22:19:49  pluto
- build qt3 and qt4 bindings.

Revision 1.32  2006/03/19 22:01:37  pluto
- fix libdir for monodoc sources.

Revision 1.31  2006/03/19 21:14:52  pluto
- s/BR:mono/BR:mono-csharp/
- BR:glitz-devel killed. avahi doesn't use it.

Revision 1.30  2006/03/19 21:07:37  deejay1
- BR: glitz-devel

Revision 1.29  2006/03/19 20:53:59  pluto
- fix release.

Revision 1.28  2006/03/19 20:53:39  pluto
- more BRs.

Revision 1.27  2006/03/19 20:02:59  freetz
- added destdir fix, fixed R: in compat-*-static (thx pluto), rel.3

Revision 1.26  2006/03/19 18:58:58  freetz
- remove trash

Revision 1.25  2006/03/19 18:41:47  freetz
- enable dotnet by default, rel.2

Revision 1.24  2006/03/03 16:51:03  freetz
- 0.6.9

Revision 1.23  2006/02/25 17:46:47  aredridel
- bcond qt

Revision 1.22  2006/02/23 14:26:16  freetz
- 0.6.8, provides/obsoletes for compat-dns_sd

Revision 1.21  2006/02/19 11:02:37  qboosh
- cosmetics, notes on missing/shared dirs

Revision 1.20  2006/02/16 11:31:44  freetz
- fix missing mdns-howl provides

Revision 1.19  2006/02/16 11:25:47  freetz
- added howl compat library, rel.2

Revision 1.18  2006/02/15 08:49:47  freetz
- 0.6.7

Revision 1.17  2006/02/11 23:08:22  freetz
- 0.6.6, make a symlink to dns_sd.h to provide full bonjour compatibility

Revision 1.16  2006/02/02 10:51:21  qboosh
- cosmetics

Revision 1.15  2006/02/01 22:17:12  freetz
- placed requirement correctly

Revision 1.14  2006/02/01 22:15:08  freetz
- missing require

Revision 1.13  2006/02/01 22:13:18  freetz
- added compat-libdns_sd library

Revision 1.12  2006/01/28 08:53:50  freetz
- dotnet bindings updated, mono autodeps not included (totally broken)

Revision 1.11  2006/01/26 15:54:46  freetz
- 0.6.5, added glade patch, require dbus >= 0.60-2, small fixes

Revision 1.10  2006/01/23 08:26:04  freetz
- -devel tunning

Revision 1.9  2006/01/22 18:57:51  freetz
- misc small fixes, desktop patch and png icon added

Revision 1.8  2006/01/22 09:34:38  qboosh
- tabs

Revision 1.7  2006/01/21 23:18:13  freetz
- provide group/user

Revision 1.6  2006/01/21 14:54:12  freetz
- don't enable howl compat layer for now

Revision 1.5  2006/01/21 14:27:53  freetz
- typo

Revision 1.4  2006/01/21 14:20:55  freetz
- 165 for avahi gid/uid

Revision 1.3  2006/01/21 13:40:12  freetz
- pre/postun user/group preparation

Revision 1.2  2006/01/21 13:35:21  freetz
- added init scripts

Revision 1.1  2006/01/21 13:02:45  freetz
- started work on Avahi for PLD
